Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#888 Compiling on Linux stops because of -Wfatal-errors

Current_GIT
closed
nobody
Mumble (544)
5
2014-02-17
2012-06-08
Radioactiveman
No

Error seems to be in CELTCodec.cpp

Compiling log:

CELTCodec.cpp: In constructor 'CELTCodec::CELTCodec(const QString&)':
CELTCodec.cpp:49:44: warning: declaration of 'version' shadows a member of 'this' [-Wshadow]
CELTCodec.cpp:97:44: error: 'usr' was not declared in this scope
compilation terminated due to -Wfatal-errors.
make[2]: [release/CELTCodec.o] Error 1
make[2]:
Waiting for unfinished jobs....
CustomElements.cpp: In member function 'void LogTextBrowser::setLogScroll(int)':
CustomElements.cpp:56:42: warning: declaration of 'pos' shadows a member of 'this' [-Wshadow]
main.cpp: In function 'int main(int, char)':
main.cpp:128:2: warning: declaration of 's' shadows a previous local [-Wshadow]
main.cpp:128:2: warning: shadowed declaration is here [-Wshadow]
make[2]: Leaving directory /home/foo/AUR/mumble-git/src/mumble-build/src/mumble' make[1]: *** [release] Error 2 make[1]: Leaving directory/home/foo/AUR/mumble-git/src/mumble-build/src/mumble'
make:
* [sub-src-mumble-sub_Release_ordered] Error 2

Discussion

  • Try it again with the current git. I pushed a commit which should fix that.

     
  • Radioactiveman
    Radioactiveman
    2012-06-08

    Thanks for you fast response and the patch. :)

     
  • Mikkel Krautz
    Mikkel Krautz
    2012-10-19

    Closing, as this is fixed in Git.